=== debian/changelog ===
baresip (0.5.10-1build1) cosmic; urgency=medium

  * Rebuild against new libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Aug 2018 08:06:07 +0200

baresip (0.5.10-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Stop explicitly enable b2bua module: Auto-detected now.
  * Update package relations:
    + Stop build-depend on libspeex-dev: speex module dropped upstream.
  * Update long descriptions:
    + Stop advertise support for Speex codec.
    + Fix advertise support for JSON-over-TCP control interface
      (included since 0.5.9-1).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Aug 2018 13:40:40 +0200

baresip (0.5.9-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: bug#889522, Thanks to Adrian Bunk.
    Closes: bug#888344, Thanks to James Cowgill.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.1.4.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Add Files section lacking licensing.
  * Update package relations: Tighten build-dependency on libre-dev.
  * Update Vcs-* fields: Source hosted at Salsa.debian.org now.
  * Remove Ramakrishnan Muthhukrishnan as uploader: Thanks for your
    interest in the past, Ram.
    Closes: Bug#859278. Thanks to Mattia Rizzolo and the MIA team.

  [ Vasudev Kamath ]
  * Bump compat level to 10.
  * debhelper now uses versioned depend on >= 10~.
  * Add README.source indicating how to handle and upload package to
    archive.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 03 Jun 2018 20:28:56 +0530
