=== debian/control ===
Source: baresip
Section: comm
Priority: optional
Build-Depends: cdbs,
 debhelper (>= 10~),
 dh-buildinfo,
 libasound2-dev,
 libavahi-client-dev,
 libcodec2-dev,
 libdirectfb-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
 libjack-dev,
 libgsm1-dev,
 libopus-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libpng-dev,
 libsdl2-dev,
 libsndfile1-dev,
 libsndio-dev,
 libspandsp-dev,
 libspeexdsp-dev,
 libtwolame-dev,
 libvpx-dev,
 libssl-dev,
 libmosquitto-dev,
 libevdev-dev [linux-any],
 portaudio19-dev,
 pkg-config,
 libre-dev (>= 0.5.7),
 librem-dev (>= 0.5.2),
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libswscale-dev,
 libx265-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgtk2.0-dev,
 libcairo2-dev,
 libomxil-bellagio-dev,
 libmpg123-dev,
 libpulse-dev,
 libxext-dev,
 libx11-dev
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Vasudev Kamath <vasudev@copyninja.info>
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/pkg-voip-team/baresip.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/baresip
Homepage: http://www.creytiv.com/baresip.html

Package: baresip
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends}
Recommends: ${cdbs:Recommends}
Description: portable and modular SIP user-agent - metapackage
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption: SRTP, DTLS-SRTP.
  * DNS Service Discovery: Avahi.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This metapackage will install baresip and all its optional features.

Package: baresip-core
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: portable and modular SIP user-agent - core parts
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption: SRTP, DTLS-SRTP.
  * DNS Service Discovery: Avahi.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 Some of above features are provided in separate packages baresip-gtk,
 baresip-ffmpeg, baresip-gstreamer and baresip-x11.

Package: baresip-gtk
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 baresip-core (= ${binary:Version})
Enhances: ${cdbs:Enhances}
Description: portable and modular SIP user-agent - GTK+ front-end
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video output: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption: SRTP, DTLS-SRTP.
  * DNS Service Discovery: Avahi.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This package provides a GTK+ front-end for baresip.

Package: baresip-ffmpeg
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 baresip-core (= ${binary:Version})
Enhances: ${cdbs:Enhances}
Description: portable and modular SIP user-agent - FFmpeg codecs and formats
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption: SRTP, DTLS-SRTP.
  * DNS Service Discovery: Avahi.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This package integrates FFmpeg codecs and formats with baresip.

Package: baresip-gstreamer
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 baresip-core (= ${binary:Version})
Enhances: ${cdbs:Enhances}
Description: portable and modular SIP user-agent - GStreamer pipelines
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption: SRTP, DTLS-SRTP.
  * DNS Service Discovery: Avahi.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This package integrates GStreamer pipelines with baresip.

Package: baresip-x11
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 baresip-core (= ${binary:Version})
Enhances: ${cdbs:Enhances}
Description: portable and modular SIP user-agent - X11 features
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video outputs: SDL2, X11, DirectFB.
  * NAT Traversal: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption: SRTP, DTLS-SRTP.
  * DNS Service Discovery: Avahi.
  * Telemetry messaging: MQTT.
  * Control interfaces: JSON-over-TCP.
 .
 This package provides various X11-related features for baresip.
