=== debian/changelog ===
baresip (0.6.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Feb 2019 13:30:38 +0100

baresip (0.6.1~20190207-1) unstable; urgency=medium

  [ upstream ]
  * snapshot...

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Extend coverage of packaging.
  * Simplify rules.
    Stop build-depend on cdbs dh-buildinfo.
  * Update and unfuzz patches.
  * Update watch file:
    + Rewrite usage comment.
    + Simplify regular expressions.
  * Declare compliance with Debian Policy 4.3.0.
  * Generate manpage.
    Build-depend on help2man.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Feb 2019 21:12:28 +0100

baresip (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten build-dependency on libre-dev librem-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Dec 2018 13:18:50 +0100

baresip (0.5.11-2) unstable; urgency=medium

  * Fix extend patch 1002 to cover librem libspeexdsp libopencore-amrnb.
    Closes: Bug#912107. Thanks to Adrian Bunk.
  * Unfuzz patch 2001.
  * Fix build-depend on libvo-amrwbenc-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Nov 2018 19:56:17 +0100

baresip (0.5.11-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Add patch 1002 to avoid hardcoded locations of system headers.
    Closes: Bug#910127. Thanks to Helmut Grohne.
    Reorder and Unfuzz patches.
  * Update package relations: Tighten build-dependency on librem-dev.
  * Enable new RTCP stats module.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Oct 2018 09:11:28 +0200
