## baresip 0.6.6

=== debian/changelog ===
baresip (0.6.6-1~ab10+1) buster-ab-unstable; urgency=medium

  [ itd ]
  * New upstream version 0.6.6
  * Update patches for new release
  * debian/rules: more modules are built by default
  * Switch to debhelper 12
  * Make pkg-config substitutable (Closes: #944338)
  * Update debian/copyright to reflect module rename
  * Bump standards version, no changes required

  [ Stephan Suerken ]
  * [3cf05da] debian/patches/3000_fix_checks_that_stall_make.patch: Fix
    building, at least under buster.
  * [2c454cd] * debian/rules: -rst module.

 -- Stephan Sürken <absurd@debian.org>  Sun, 07 Jun 2020 14:29:18 +0200
