=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: comm
 Priority: optional
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 12~),
+ debhelper-compat (= 12),
  help2man,
  libasound2-dev,
- libavahi-client-dev,
  libavcodec-dev,
  libavdevice-dev,
  libavformat-dev,
@@ -13,12 +13,14 @@
  libcodec2-dev,
  libdirectfb-dev [!hurd-any !kfreebsd-any],
  libevdev-dev [linux-any],
+ libfdk-aac-dev <pkg.baresip.nonfree>,
  libgsm1-dev,
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev,
  libgtk2.0-dev,
  libjack-dev,
  libmosquitto-dev,
+ libmp3lame-dev,
  libmpg123-dev,
  libomxil-bellagio-dev,
  libopencore-amrnb-dev,
@@ -47,7 +49,7 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/baresip.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/baresip
 Homepage: http://www.creytiv.com/baresip.html
@@ -86,8 +88,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- avahi-daemon,
 Suggests:
  baresip-ffmpeg,
  baresip-gstreamer,
