=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,16 @@
 		usr/lib/baresip/modules
 
 # module hints for core package
-core-mods-extra = codec2 echo rtcpsummary snapshot sndio
+core-mods-extra = rtcpsummary snapshot stdio
 ifeq (, $(filter hurd-% kfreebsd-%, $(DEB_HOST_ARCH)))
 core-mods-extra += directfb
 endif
 
 # module hints for module packages
-ffmpeg-mods = avformat avcodec h265 swscale
-gstreamer-mods = gst1 gst_video1
+ffmpeg-mods = avformat avcodec swscale
+gstreamer-mods = gst gst_video
 gtk-mods = gtk
-x11-mods = cairo omx pulse rst sdl2 vidinfo x11 x11grab
+x11-mods = cairo omx pulse sdl vidinfo x11 x11grab
 
 DEB_MAKE_EXTRA_ARGS = V=1 PREFIX=/usr RELEASE=1 \
 	EXTRA_MODULES="$(core-mods-extra) swscale" \
